Package org.jbpm.process.audit.strategy

## Class StandaloneJtaStrategy

- java.lang.Object
- - org.jbpm.process.audit.strategy.StandaloneJtaStrategy

- All Implemented Interfaces:
    `PersistenceStrategy`
  Direct Known Subclasses:
    `SpringStandaloneJtaSharedEntityManagerStrategy`

      public class StandaloneJtaStrategy
      extends Object
      implements PersistenceStrategy

  This strategy is used by instances that are
  - used outside the `KieSession`
  - use their own `EntityManager` instance per operation

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected javax.persistence.EntityManagerFactory` | `emf` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StandaloneJtaStrategy​(javax.persistence.EntityManagerFactory emf)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `commitTransaction​(Object transaction)` |
    `void` | `dispose()` |
    `javax.persistence.EntityManager` | `getEntityManager()` |
    `Object` | `joinTransaction​(javax.persistence.EntityManager em)` |
    `void` | `leaveTransaction​(javax.persistence.EntityManager em, Object transaction)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### emf

          protected javax.persistence.EntityManagerFactory emf

  - ### Constructor Detail

    - #### StandaloneJtaStrategy

          public StandaloneJtaStrategy​(javax.persistence.EntityManagerFactory emf)

  - ### Method Detail

    - #### getEntityManager

          public javax.persistence.EntityManager getEntityManager()

      Specified by:
        `getEntityManager` in interface `PersistenceStrategy`

    - #### joinTransaction

          public Object joinTransaction​(javax.persistence.EntityManager em)

      Specified by:
        `joinTransaction` in interface `PersistenceStrategy`

    - #### leaveTransaction

          public void leaveTransaction​(javax.persistence.EntityManager em,
                                       Object transaction)

      Specified by:
        `leaveTransaction` in interface `PersistenceStrategy`

    - #### commitTransaction

          protected void commitTransaction​(Object transaction)

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `PersistenceStrategy`